<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xmlns="http://maven.apache.org/POM/4.0.0"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<parent>
		<groupId>com.qunzhixinxi</groupId>
		<artifactId>hnqz-visual</artifactId>
		<version>3.9.0</version>
	</parent>
	<modelVersion>4.0.0</modelVersion>

	<artifactId>hnqz-daemon-quartz</artifactId>
	<packaging>jar</packaging>

	<description>基于quartz后台跑批定时任务模块</description>

	<dependencies>
		<!--注册中心客户端-->
		<dependency>
			<groupId>com.alibaba.cloud</groupId>
			<artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
		</dependency>
		<!--配置中心客户端-->
		<dependency>
			<groupId>com.alibaba.cloud</groupId>
			<artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
		</dependency>
		<!--日志处理-->
		<dependency>
			<groupId>com.qunzhixinxi</groupId>
			<artifactId>hnqz-common-log</artifactId>
		</dependency>
		<dependency>
			<groupId>com.qunzhixinxi</groupId>
			<artifactId>hnqz-common-data</artifactId>
		</dependency>
		<!--mybatis-->
		<dependency>
			<groupId>com.baomidou</groupId>
			<artifactId>mybatis-plus-boot-starter</artifactId>
		</dependency>
		<!--数据库-->
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
		</dependency>
		<!-- druid 连接池 -->
		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>druid-spring-boot-starter</artifactId>
		</dependency>
		<!--swagger-->
		<dependency>
			<groupId>com.qunzhixinxi</groupId>
			<artifactId>hnqz-common-swagger</artifactId>
		</dependency>
		<!--spring security 、oauth、jwt依赖-->
		<dependency>
			<groupId>com.qunzhixinxi</groupId>
			<artifactId>hnqz-common-security</artifactId>
		</dependency>
		<!-- sentinel-->
		<dependency>
			<groupId>com.qunzhixinxi</groupId>
			<artifactId>hnqz-common-sentinel</artifactId>
		</dependency>
		<!--灰度支持-->
		<dependency>
			<groupId>com.qunzhixinxi</groupId>
			<artifactId>hnqz-common-gray</artifactId>
		</dependency>
		<!--web 模块-->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>
		<!--undertow容器-->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-undertow</artifactId>
		</dependency>
		<!-- quartz 模块 -->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-quartz</artifactId>
		</dependency>

		<dependency>
			<groupId>org.jsoup</groupId>
			<artifactId>jsoup</artifactId>
			<version>1.11.3</version>
		</dependency>

		<dependency>
			<groupId>org.seleniumhq.selenium</groupId>
			<artifactId>selenium-server</artifactId>
			<version>3.0.1</version>
		</dependency>
		<dependency>
			<groupId>com.qunzhixinxi</groupId>
			<artifactId>hnqz-common-datasource</artifactId>
		</dependency>
		<dependency>
			<groupId>com.google.zxing</groupId>
			<artifactId>core</artifactId>
			<version>3.3.3</version>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>com.google.zxing</groupId>
			<artifactId>javase</artifactId>
			<version>3.3.3</version>
			<scope>compile</scope>
		</dependency>

		<dependency>
			<groupId>com.qunzhixinxi</groupId>
			<artifactId>hnqz-common-oss</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework</groupId>
			<artifactId>spring-test</artifactId>
			<version>5.2.7.RELEASE</version>
			<scope>compile</scope>
		</dependency>

	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
			<plugin>
				<groupId>io.fabric8</groupId>
				<artifactId>docker-maven-plugin</artifactId>
				<configuration>
					<skip>false</skip>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>